#dataTable-view{
	width:100% !important;
}
.noPadMargin{
	padding: 0px !important;
	margin: 0px !important;
}
/*.btnWidth{
	width:80px;
}*/
.modal-backdrop {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1040;
    background-color: #dadada;
}
.terror .error {
    float: right;
    color: red;
    line-height: 1;
}
.disabled {
    display: none;
}
.display {
    display: inline-table !important;
}

.radioBtn label{
 background-image: url(../images/radio-off-blue.png);
}

.radioBtn input[type=radio]:checked + label,.radioBtn input[type=radio]:checked + label {
	background-image: url(../images/radio-on-blue.png);
}
	
.radioBtn {
    padding-top: 0px !important;
    margin: 0px;
}

.radioBtn input[type=radio]{
	margin-left:0px;
}
.radioBtn input[type=radio]{
	display: none;
}

.radioBtn  input[type=radio] + label{
	height: 34px;
	background-repeat: no-repeat;
	line-height: 32px;
	cursor: pointer;
	/* width: 100%; */
	padding: 0px 26px;
}

.radioBtn label span {
    position: relative;
    top: -4px;
}

.checkbox input[type=checkbox]{
	margin-left:0px;
}
.checkbox input[type=checkbox]{
	display: none;
}
.checkbox  input[type=checkbox] + label{
	height: 30px;
	background-repeat: no-repeat;
	/* line-height: 30px; */
	cursor: pointer;
	/* width: 81%; */
	padding: 0px 25px !important;
	margin: 0px;
	/* overflow: hidden; */
	/* text-overflow: ellipsis; */
}
.checkbox label,.checkbox label{
 background-image: url("../images/checkoff-blue.png");
}
.checkbox input[type=checkbox]:checked + label, .checkbox input[type=checkbox]:checked + label{
  background-image: url("../images/checkon-blue.png");
}

._customtree li{
	list-style:none;
}
/* Left & Right start*/
    
    .innerModal .modal.modal-left .modal-dialog,
    .innerModal .modal.modal-right .modal-dialog {
        position: fixed;
        margin: auto;
        width: 500px;
        max-width: 100%;
        height: 100%;
    }
    
    .innerModal .modal.modal-left .modal-content,
    .innerModal .modal.modal-right .modal-content {
        height: 100%;
        overflow-y: auto;
    }
    
    .innerModal .modal-body {
        height: 600px;
        overflow: auto;
    }
    
    .innerModal .modal.modal-left .modal-body,
    .innerModal .modal.modal-right .modal-body {
        padding: 15px 15px 80px;
    }
    
    .innerModal .modal.modal-left.fade .modal-dialog {
        left: -500px;
        -webkit-transition: opacity 0.3s linear, left 0.3s ease-out;
        -moz-transition: opacity 0.3s linear, left 0.3s ease-out;
        -o-transition: opacity 0.3s linear, left 0.3s ease-out;
        transition: opacity 0.3s linear, left 0.3s ease-out;
    }
    
    .innerModal .modal.modal-left.fade.show .modal-dialog {
        left: 0;
    }
    
    .innerModal .modal.modal-right.fade .modal-dialog {
        right: -500px;
        -webkit-transition: opacity 0.3s linear, right 0.3s ease-out;
        -moz-transition: opacity 0.3s linear, right 0.3s ease-out;
        -o-transition: opacity 0.3s linear, right 0.3s ease-out;
        transition: opacity 0.3s linear, right 0.3s ease-out;
    }
    
    .innerModal .modal.modal-right.fade.show .modal-dialog {
        right: 0;
    }
    
    .innerModal .modal.modal-left .modal-content,
    .innerModal .modal.modal-right .modal-content,
    .innerModal .modal.modal-top .modal-content,
    .innerModal .modal.modal-bottom .modal-content,
    .innerModal .modal.modal-full .modal-content {
        border-radius: 0;
        border: none;
    }
    
    .innerModal .modal.modal-left .modal-dialog.modal-sm,
    .innerModal .modal.modal-right .modal-dialog.modal-sm {
        width: 300px;
    }
    
    .innerModal .modal.modal-left .modal-dialog.modal-lg,
    .innerModal .modal.modal-right .modal-dialog.modal-lg {
        width: 800px;
    }
    
    .innerModal .modal.modal-left .modal-dialog.modal-xl,
    .innerModal .modal.modal-right .modal-dialog.modal-xl {
        width: 1140px;
    }
    
    .innerModal .modal.modal-full .close-modal {
        position: fixed;
        top: 0;
        right: 3rem;
    }


/* Left & Right End*/
._setveiwfirst {
    padding-left: 0px !important;
}
._setveiwfirst a {
    padding: 10px;
    padding-right: 90%;
    padding-left: 12px;
}
._setDefaltChk {
    float: left;
    width: 10%;
    padding: 3px 0px 0px 0;
    margin-right: 9px;
}
._setViewPanelInner{
	border-top:1px solid #ddd;
	padding: 10px 10px;
}
._setDefaltText {
    float: left;
    width: 68%;
}
._setDefaltText input{
    height:10px;	
}
._setDefaltBtn button{
	padding: 2px !important;
}
._setDefaltBtn button i{
	padding: 0px !important;
	margin: 0px;
}
#_setviewbtn{
	border-top:1px solid #ddd;
}
#_setviewbtn a{
	color:blue;
	font-size:14px;
}
._myviewpanel {
	padding:0px;
	margin:0px;
}

/* --- Tree --- */
.tree-node {
    border: 1px solid #dae2ea;
    background: #f8faff;
    color: #7c9eb2;
}

.nodrop {
    background-color: #f2dede;
}

.tree-node-content {
    padding: 6px 0px 0px 6px;
}
.tree-handle {
    padding: 10px;
    background: #428bca;
    color: #FFF;
    margin-right: 10px;
}
/* 
.angular-ui-tree-handle:hover {
} */

.angular-ui-tree-placeholder {
    background: #f0f9ff;
    border: 2px dashed #bed2db;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
.dt-buttons{
	visibility: hidden;
	position: absolute !important;
}
/****Image Upload Show Start****/
._imageViewDiv {
    float: left;
    margin: 10px 10px 10px 0;
    position: relative;
    width: 150px;
    height: 190px;
    border: 1px solid #ddd;
}
._imageViewDiv ._imagePanelHead{
	
position: relative;
}
._imageViewDiv ._imagePanel {
    position: relative;
    height: 136px;
    background: white;
}
._imageViewDiv ._imagePanelfoot {
    position: relative;
    font-size: 30px;
    top: -24px;
    right: -3px;
    cursor: pointer;
}
/****Image Upload Show End****/

._imagePanelHead input {
    width: 80%;
    position: relative;
}

._imagePanelHead span {
	cursor:pointer;
float: right;
	
padding: 3px 2px;
	
font-size: 24px;
}
.calendar-table table, .calendar-table td, .calendar-table th {
    border: 1px #ccc solid;
    white-space: nowrap;    
    vertical-align: middle !important;
    font-family: 'Calibri',Arial;
    color: #000;
    /* border-color: #e5e5e5; */
    font-size: 13px;
}
#userInitialMask .card-body{
	padding-top: 0px;
    padding-bottom: 0px;
}

.nav-vertical .nav-left.nav-tabs li.nav-item a.nav-link.active{
	color:#1e9ff2;
}

span.img {
    float: left;
    padding: 3px;
    margin: 2px;
    border: 1px solid #ddd;
    display: flex;
}


.progress{
    position: fixed;
    height: 3px;
    width: 100%;
    /* border: 1px solid #f4a261; */
    /* border-radius: 15px; */
    z-index: 2000;
    top: 0;
}
.progress .color{
    position: absolute;
    background-color: #ff4961;
    width: 0px;
    height: 10px;
    /* border-radius: 15px; */
    animation: progres 4s infinite linear;
}
@keyframes progres{
    0%{
      width: 0%;
    }
    25%{
        width: 40%;
    }
    50%{
        width: 75%;
    }
    75%{
        width: 85%;
    }
    100%{
        width: 100%;
    }
};



body.vertical-layout.vertical-menu.menu-collapsed .navbar .navbar-header {
    padding: 0px 8px;
}
.customHide{
	display: none !important;
}

/* width */
::-webkit-scrollbar {
	width: 8px;
	height:8px;
}
/* Track */
::-webkit-scrollbar-track {
	background: #f1f1f1;
}
/* Handle */
::-webkit-scrollbar-thumb {
	background: #607D8B;
}
/* Handle on hover */
::-webkit-scrollbar-thumb:hover {

	background: #0c84d1;

}


.cardTitleSpan{
	font-size:12px;
}
.cardTitleSpan a{
	color: #0c84d1 !important;
}
.borderButtom{
	border-bottom: 1px solid #ddd;
}
.spanHead{
	padding-top:15px;
}
@media only screen and (max-width: 575px) {

	.spanHead{
		padding-top: 6px;
		text-align: center;
		width: 100%;
		font-weight: bold;
	}

}


.textOverFlow{
  white-space: nowrap;
  width: 90%;
  overflow: hidden;
  text-overflow: ellipsis;
}
.catalogPanel p{
	height:16px;
	font-weight:400;
}
.catalogPanel{
	cursor:pointer;
	width: 100%;
}

.catalogPanel .removeBtn{position: absolute;right: 3px;font-size: 20px;cursor: pointer;top: 60px;color: red !important;}

.catalogRightPanel .card{
	margin: 2px 0;
}
.catalogPanel .col-md-8{
	padding: 0 15px !important;
}

.gridStatus{
	border-top: 1px solid #e1e2e7;
	padding-top: 20px;
}
select#type{

    height : 30px;
}
.export-box{
    margin-top: 28px;
}

.image_container,.image_panel
{
    height: unset !important;
}
input#scroll_color {
    height: revert;
}

.layout-box{
    width: 60px;
    height: 40px;
    padding-bottom: 14px;
    position: relative;
    top: 6px;
    cursor: pointer;
    border: 2px solid lightgray;
}
.label-animation{
padding-top: 33px;
}
.schemeTbl{
    vertical-align: top;
}
.schemebtn{
    width: 100%;
}
table.model {
    width: 100%; 
    /* Optional: To collapse the borders between cells */

  }
  
  table.model td,
  table.model th {
    padding: 10px 10px; /* Remove padding from table cells and headers */
  }
 
  table.model td {
    padding-top: 20px;
  }
 
  

  table.models td,
  table.models th {
    
text-align: center;  
vertical-align: middle;  
  }

  
   /* table.models td select {
   margin-top: 15px;
    width:150px;
  } 

  table.models td input {
    margin-top: 15px;
    width:100px;
  }  */

  @media screen and (min-width: 1200px) {
    table.models td select {
        
         width:150px;
       } 
     
       table.models td input {
         width:100px;
       } 
     

  }


  table.models td .ras {
    /* margin-top: 15px; */
    width:100px;
  }

  /* table.models th:nth-child(11),
  table.models td:nth-child(11) {
    width: 200px; 
  
  } */

  .scrollable-row {
    overflow-x: auto;
    max-width: 1200px;
  }
  .radiobutton{
    vertical-align: sub;
    transform: scale(1.6); /* Adjust the value to increase or decrease the size */

}

.pagination {
    display: inline-block;
    padding: 0;
    margin: 20px 0;
  }

  .pagination li {
    display: inline;
    margin-right: 5px;
  }

  .pagination li a {
    text-decoration: none;
    padding: 8px 16px;
    border: 1px solid #ccc;
    background-color: #f9f9f9;
    color: #333;
    cursor: pointer;
  }

  .pagination li a:hover {
    background-color: #ddd;
  }

  .pagination li.active a {
    background-color: #007BFF;
    color: #fff;
  }
  table.contentCenter td{
    text-align: center;
    vertical-align: middle;
  }
        .dragging{

            cursor: grabbing;

        }
        table.modelt {
            width: 100%;
            border-collapse: collapse;
          }
          
          table.modelt, table.modelt th, table.modelt td {
            border: none;
            padding: 10px;
          }

.customModel{
border-radius: 8px;
box-shadow:2px 2px 7px 1px rgba(121, 158, 232, 0.2);
padding: 20px;
}
          

.mytable {
    width: 100%;
    border-collapse: collapse;
    padding: 10px; /* Adjust as needed */
    margin: 10px; /* Adjust as needed */
  }

  .mytable th, td {
    border: 1px solid rgb(215, 204, 204);
    padding: 8px; /* Adjust as needed */
    text-align: center;
  }
  .plancard {
    border-radius: 10px;
    box-shadow: 16px 4px 15px rgba(52, 47, 47, 0.2);
    transition: all 0.3s;
}
.customModelPlan{
    border-radius: 8px;
    /* box-shadow:2px 2px 7px 1px rgba(121, 158, 232, 0.2); */
    box-shadow: 0 8px 12px rgba(0, 0, 0, 0.2);
    background-color: white;

    }
       
.customModelPlan:hover {
    box-shadow: 0 8px 22px rgba(0, 0, 0, 0.2);
}
.crossed-out {
    position: relative;
    text-decoration: line-through;
}

.crossed-out::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    height: 2px;
    background-color: black;
    transform: translateY(-50%);
}


.plantable {
    width: 100%;
    border-collapse: collapse;
    padding: 10px; /* Adjust as needed */
    margin: 10px; /* Adjust as needed */
  }

  .plantable th, .plantable td {
    border: 1px solid white;
    border-bottom: 1px solid rgb(238, 232, 232); /* Add this line for bottom border */

    padding: 8px; /* Adjust as needed */
    text-align: right;
    padding-right: 20px;
  }

  .customModelSubs{
    border-radius: 8px;
    /* box-shadow:2px 2px 7px 1px rgba(121, 158, 232, 0.2); */
    box-shadow: 0 1px 12px rgba(0, 0, 0, 0.2);
    background-color: white;

    }

    .customModelSubs:hover {
        box-shadow: 0 8px 22px rgba(0, 0, 0, 0.2);
    }


  .customSetupWizard{
    border-radius: 8px;
    /* box-shadow:2px 2px 7px 1px rgba(121, 158, 232, 0.2); */
    box-shadow: 0 1px 12px rgba(0, 0, 0, 0.2);
    background-color: white;
    transition: transform 0.7s;



    }

    .customSetupWizard:hover {
        box-shadow: 0 8px 22px rgba(0, 0, 0, 0.2);
        transform: scale(1.05);

    }
    .slide-in {
        animation: slide-in 2s forwards;
      }
    @keyframes slide-in {
        from {
          transform: translateX(-100%);
        }
        to {
          transform: translateX(0);
        }
      }
     

    .fontWeight{
        font-weight: 700;
    }

    table.promo td,
    table.promo th {
      
  text-align: center;  
  vertical-align: middle;  
}
  
    
     /* table.promo td select {
     margin-top: 15px;
      width:150px;
    } 
  
    table.promo td input {
      margin-top: 15px;
      width:100px;
    }  */
  
    @media screen and (min-width: 1200px) {
      table.promo td select {
          
           width:400px;
         } 
       
         table.promo td input {
           width:100px;
         } 
       
  
    }
  
  
    table.promo td .ras {
      /* margin-top: 15px; */
      width:100px;
    }
  
    /* table.models th:nth-child(11),
    table.models td:nth-child(11) {
      width: 200px; 
    
    } */

    .icons{
      width: 35px;
      height: 35px;
      object-fit: contain;
      /* border:2px solid red; */
      padding-right: 5px;
    }
    .customModelMenumap{
      border-radius: 8px;
      /* box-shadow:2px 2px 7px 1px rgba(121, 158, 232, 0.2); */
      box-shadow: 0 1px 12px rgba(0, 0, 0, 0.2);
    
      color:#161414
  
      }
      .backgroundSetup {
        background-image: linear-gradient(45deg, #346390, #33375d);
        background-repeat: repeat-x;
        }

        .flip-in {
          animation: flip-in 2s forwards;
      }

      @keyframes flip-in {
          from {
              transform: rotateX(-90deg);
              opacity: 0;
          }
          to {
              transform: rotateX(0deg);
              opacity: 1;
          }
      }



      .tooltip {
        visibility: hidden;
        width: 140px;
        background-color: black;
        color: #fff;
        text-align: center;
        border-radius: 6px;
        padding: 5px;
        position: absolute;
        z-index: 1;
        bottom: 125%; /* Position above the link */
        left: 50%;
        margin-left: -70px;
        opacity: 0;
        transition: opacity 0.3s;
    }
    .tooltip::after {
        content: "";
        position: absolute;
        top: 100%; /* Arrow below the tooltip */
        left: 50%;
        margin-left: -5px;
        border-width: 5px;
        border-style: solid;
        border-color: black transparent transparent transparent;
    }
    .tooltip:hover {
        visibility: visible;
        opacity: 1;
    }

    .circle-icon {
      /* display: inline-flex;
      align-items: center;
      justify-content: center; */
      /* width: 35px; */
      /* height: 35px; */
      /* border: 4px solid #0d2acb; */
      /* border-radius: 50%; */
      /* font-size: 17px; */
   
      /* color: #000; */
      position: absolute;
      right: 5px;
      top: 5px;
      cursor: pointer;
      z-index: 100;
  }

  .circle-icon2 {
      /* display: inline-flex;
      align-items: center;
      justify-content: center; */
      /* width: 35px; */
      /* height: 35px; */
      /* border: 4px solid #0d2acb; */
      /* border-radius: 50%; */
      /* font-size: 17px; */
   
      /* color: #000; */
      position: absolute;
      right: 42px;
      top: 42px;
      cursor: pointer;
      z-index: 100;
  }
  .moveBottom{
      position: absolute;
      right: 10px;
      bottom: 10px;
      z-index: 100;
  }
  .customModelHelp{
      border-radius: 8px;
      /* box-shadow:2px 2px 7px 1px rgba(121, 158, 232, 0.2); */
      box-shadow: 0 1px 12px rgba(0, 0, 0, 0.2);
    
      position: relative;
  
      }


  .helpIcon{
     width: 18px;
     height: 18px;
  }
  .closeIcon1{
      border: 10px solid rgb(97, 97, 148);
      width: 51px;
      height: 51px;
   }

   table.tag tr td:nth-child(1)  {
      font-size: 13px;
      font-weight: 600;
    }

    .truncate {
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      width: 200px; /* Set a fixed width to see the effect */
    }
    .customModelPlans{
      border-radius: 8px;
      /* box-shadow:2px 2px 7px 1px rgba(121, 158, 232, 0.2); */
      box-shadow: 0 1px 12px rgba(0, 0, 0, 0.2);
      background-color: white;
    
  
      }
      .radiobuttonplan{ 
          vertical-align: sub;
          transform: scale(1.8); /* Adjust the value to increase or decrease the size */
      
      }
      .circle-close {

          position: absolute;
          right: 0px;
          top: 0px;
          cursor: pointer;
          z-index: 100;
      }
      .closePlanIcon{
          width: 30px;
          height: 30px;
       }

       .shineDiv {
          position: relative;
   
          overflow: hidden;
        }
     

/* Shine effect styling */
.shine {
  position: absolute;
  top: 0;
  left: -80px;
  height: 100%;
  width: 10px;
  background: rgba(245, 245, 243, 0.922);
  transform: skewX(20deg) translateX(0);
  animation: shineAnimation 0.8s linear forwards; /* Apply the animation */
}

/* Keyframes for the shine animation */
@keyframes shineAnimation {
  from {
    transform: skewX(20deg) translateX(-80px);
  }
  to {
    transform: skewX(20deg) translateX(500px);
  }
}
